Skip to main content
GET
/
evals
/
{eval_id}
/
runs
Error
A valid request URL is required to generate request examples
{
  "object": "list",
  "data": [
    {
      "object": "eval.run",
      "id": "<string>",
      "eval_id": "<string>",
      "status": "<string>",
      "model": "<string>",
      "name": "<string>",
      "created_at": 123,
      "report_url": "<string>",
      "result_counts": {
        "total": 123,
        "errored": 123,
        "failed": 123,
        "passed": 123
      },
      "per_model_usage": [
        {
          "model_name": "<string>",
          "invocation_count": 123,
          "prompt_tokens": 123,
          "completion_tokens": 123,
          "total_tokens": 123,
          "cached_tokens": 123
        }
      ],
      "per_testing_criteria_results": [
        {
          "testing_criteria": "<string>",
          "passed": 123,
          "failed": 123
        }
      ],
      "data_source": {
        "type": "jsonl"
      },
      "metadata": {},
      "error": {
        "code": "<string>",
        "message": "<string>"
      }
    }
  ],
  "first_id": "<string>",
  "last_id": "<string>",
  "has_more": true
}

Authorizations

api-key
string
header
required

Headers

aoai-evals
enum<string>
required

Enables access to AOAI Evals, a preview feature. This feature requires the 'aoai-evals' header to be set to 'preview'.

Available options:
preview

Path Parameters

eval_id
string
required

Query Parameters

api-version
enum<string>
default:v1

The explicit Azure AI Foundry Models API version to use for this request. v1 if not otherwise specified.

Available options:
v1,
preview
after
string
limit
integer<int32>
default:20
order
enum<string>
default:asc
Available options:
asc,
desc
status
enum<string>
Available options:
queued,
in_progress,
completed,
canceled,
failed

Response

The request has succeeded.

An object representing a list of runs for an evaluation.

object
enum<string>
default:list
required

The type of this object. It is always set to "list".

Available options:
list
data
object[]
required

An array of eval run objects.

first_id
string
required

The identifier of the first eval run in the data array.

last_id
string
required

The identifier of the last eval run in the data array.

has_more
boolean
required

Indicates whether there are more evals available.